package com.qmth.themis.business.cache.bean;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.constant.SystemConstant;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

public class ExamActivityCacheBean implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5888311300472703230L;

	//主键
	@JsonSerialize(using = ToStringSerializer.class)
	private Long id;
	//批次id
	@JsonSerialize(using = ToStringSerializer.class)
	private Long examId;

	//场次代码
	private String code;

	//提前多长时间开始候考(分钟)
	private Integer prepareSeconds;

	//最大考试时长
	private Integer maxDurationSeconds;

	//是否启用，0：停用，1：启用
	private Integer enable;

	//允许开考时长(分钟)
	private Integer openingSeconds;

	//开考时间
	private Long startTime;

	//结束时间
	private Long finishTime;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Integer getEnable() {
		return enable;
	}

	public void setEnable(Integer enable) {
		this.enable = enable;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Integer getPrepareSeconds() {
		return prepareSeconds;
	}

	public void setPrepareSeconds(Integer prepareSeconds) {
		this.prepareSeconds = prepareSeconds;
	}

	public Integer getMaxDurationSeconds() {
		return maxDurationSeconds;
	}

	public void setMaxDurationSeconds(Integer maxDurationSeconds) {
		this.maxDurationSeconds = maxDurationSeconds;
	}

	public Integer getOpeningSeconds() {
		return openingSeconds;
	}

	public void setOpeningSeconds(Integer openingSeconds) {
		this.openingSeconds = openingSeconds;
	}

	public Long getStartTime() {
		return startTime;
	}

	public void setStartTime(Long startTime) {
		this.startTime = startTime;
	}

	public Long getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Long finishTime) {
		this.finishTime = finishTime;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
}
